Package net.sf.saxon.tree.tiny

## Interface NodeVectorTree

- All Known Implementing Classes:
    `DominoTree`, `TinyTree`

      public interface NodeVectorTree

  Interface defining methods common to the TinyTree and the Domino tree model. These two models are recognized by the `NodeTest` class, which is able to match nodes without actually instantiating the NodeInfo object

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFingerprint​(int nodeNr)` | Get the integer fingerprint of the node at a given position in the tree
    `int[]` | `getNameCodeArray()` |
    `NodeInfo` | `getNode​(int nodeNr)` | Construct a NodeInfo representing the node at a given position in the tree
    `int` | `getNodeKind​(int nodeNr)` | Get the kind of node at a given position in the tree
    `byte[]` | `getNodeKindArray()` |
    `default boolean` | `isTyped()` | Ask whether the tree contains non-trivial type information (from schema validation)

- - ### Method Detail

    - #### isTyped

          default boolean isTyped()

      Ask whether the tree contains non-trivial type information (from schema validation)
      Returns:
        true if type information is present

    - #### getNode

          NodeInfo getNode​(int nodeNr)

      Construct a NodeInfo representing the node at a given position in the tree
      Parameters:
        `nodeNr` - the node number in the tree
      Returns:
        the constructed NodeInfo

    - #### getNodeKind

          int getNodeKind​(int nodeNr)

      Get the kind of node at a given position in the tree
      Parameters:
        `nodeNr` - the node number
      Returns:
        the kind of node, for example `Type.ELEMENT`

    - #### getFingerprint

          int getFingerprint​(int nodeNr)

      Get the integer fingerprint of the node at a given position in the tree
      Parameters:
        `nodeNr` - the node number
      Returns:
        the fingerprint of the node, as registered in the NamePool. -1 for an unnamed node.

    - #### getNodeKindArray

          byte[] getNodeKindArray()

    - #### getNameCodeArray

          int[] getNameCodeArray()